Bug 847968 - Get "Invalid arguments" while running "rhc domain -dp <password>"
Get "Invalid arguments" while running "rhc domain -dp <password>"
Status: CLOSED WONTFIX
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 04:49 EDT by jizhao
Modified: 2015-05-14 22:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:04:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jizhao 2012-08-14 04:49:30 EDT
Description of problem:
"rhc domain" always shows "Invalid arguments" while running "rhc domain -dp <password>". All "rhc domain" commands have the same issue.

Version-Release number of selected component (if applicable):
rhc-0.97.6-1.el6_3.noarch

How reproducible:
Always

Steps to Reproduce:
1.$ rhc domain show -dp <password> --trace
2.
3.
  
Actual results:
/usr/lib/ruby/gems/1.8/gems/rhc-0.97.6/lib/rhc/commands.rb:106:in `validate_command': Invalid arguments (ArgumentError)
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.97.6/lib/rhc/commands.rb:152:in `to_commander'
	from /usr/lib/ruby/gems/1.8/gems/commander-4.1.2/lib/commander/command.rb:180:in `call'
	from /usr/lib/ruby/gems/1.8/gems/commander-4.1.2/lib/commander/command.rb:180:in `call'
	from /usr/lib/ruby/gems/1.8/gems/commander-4.1.2/lib/commander/command.rb:155:in `run'
	from /usr/lib/ruby/gems/1.8/gems/commander-4.1.2/lib/commander/runner.rb:402:in `run_active_command'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.97.6/lib/rhc/commands.rb:65:in `run!'
	from /usr/lib/ruby/gems/1.8/gems/commander-4.1.2/lib/commander/delegates.rb:7:in `run!'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.97.6/lib/rhc/cli.rb:37:in `start'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.97.6/bin/rhc:62
	from /usr/bin/rhc:19:in `load'
	from /usr/bin/rhc:19


Expected results:
The domain info should be shown successfully.

Additional info:
Comment 1 jizhao 2012-08-14 05:10:14 EDT
Besides, there's no --force|-f option. Is it still unfinished?
Comment 2 Xiaoli Tian 2012-08-14 05:29:31 EDT
(In reply to comment #1)
> Besides, there's no --force|-f option. Is it still unfinished?

This is tracked in this bug 847719.
Comment 3 John (J5) Palmieri 2012-08-16 14:04:10 EDT
There is no -dp option. I'm not sure if commander supports concatenating options together. 

You should use the command

rhc domain show -d -p password

Note You need to log in before you can comment on or make changes to this bug.